libebook::FictionBook2EmptyLineContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libebook::FictionBook2EmptyLineContext Class Reference

`#include <FictionBook2BlockContext.h>`

Inheritance diagram for libebook::FictionBook2EmptyLineContext:

## Public Member Functions
| FictionBook2EmptyLineContext (FictionBook2ParserContext *parentContext)
Public Member Functions inherited from libebook::FictionBook2DataContextBase
| FictionBook2DataContextBase (FictionBook2ParserContext *parentContext)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.

## Constructor & Destructor Documentation

## ◆ FictionBook2EmptyLineContext()

libebook::FictionBook2EmptyLineContext::FictionBook2EmptyLineContext | ( | FictionBook2ParserContext * | parentContext | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2EmptyLineContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2EmptyLineContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

The documentation for this class was generated from the following files:

- FictionBook2BlockContext.h
- FictionBook2BlockContext.cpp